## kdecoration 6.3.2

=== debian/changelog ===
kdecoration (4:6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Adapt packaging to soname bump of libkdecorations3private2.
  * Update symbols from build for 6.3.2.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 01:08:24 +0100

kdecoration (4:6.3.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Reintroduce Breaks/Replaces against libkdecorations2-5v5 as dropping
    it is causing issues upgrading from older versions of kdecorations.
    (Closes: #1098263)

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 19 Feb 2025 08:41:19 +0100

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libkf6i18n-dev (>= 6.10.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
Rules-Requires-Root: no

Package: libkdecorations3-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-decoration-oxygen (<< 4:5.26.70),
        kwin-style-breeze (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2-5v5,
        libkdecorations2-6,
Replaces: libkdecorations2-5v5, libkdecorations2-6,
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations3-6 (= ${binary:Version}),
         libkdecorations3private2 (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations3private2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(decoration-api)
set(PROJECT_VERSION "6.3.4")
set(PROJECT_VERSION_MAJOR 6)

set(QT_MIN_VERSION "6.7.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION3
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration3_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDecoration3ConfigVersion.cmake"
                        SOVERSION ${PROJECT_VERSION_MAJOR})

#dependencies
find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Test
)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

set(KDECORATION3_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration3")
find_package(KF6I18n ${KF6_MIN_VERSION} CONFIG REQUIRED)

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.240.0
    )

add_definitions(-DQT_NO_KEYWORDS)

# Subdirectories
add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDecoration3")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration3Config.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration3Config.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                  )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration3Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KDecoration3ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KDecoration3Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDecoration3Targets.cmake NAMESPACE KDecoration3:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration3_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
kdecoration (4:6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 00:59:29 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf6i18n-dev (>= 6.10.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kdecoration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git

## kdecoration 6.3.5

=== debian/changelog ===
kdecoration (4:6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:33:00 +0100

kdecoration (4:6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:54:20 +0100

kdecoration (4:6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:16:34 +0000

kdecoration (4:6.3.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces for version histrory in Ubuntu.
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 14:45:51 +0000

kdecoration (4:6.3.2-0ubuntu2) plucky; urgency=medium

  * Follow upstream library SONAME bump.
    libkdecorations3private1 -> libkdecorations3private2

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:53:54 +0000

kdecoration (4:6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:14:55 +0000

kdecoration (4:6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:22:00 +0000

kdecoration (4:6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:53:49 +0000

kdecoration (4:6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:40:34 +0000

## kdecoration 6.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.4.4")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(QT_MIN_VERSION "6.7.0")
-set(KF6_MIN_VERSION "6.10.0")
+set(QT_MIN_VERSION "6.8.0")
+set(KF6_MIN_VERSION "6.14.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -52,8 +52,8 @@
 set(KDECORATION3_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration3")
 find_package(KF6I18n ${KF6_MIN_VERSION} CONFIG REQUIRED)
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.240.0
+ecm_set_disabled_deprecation_versions(QT 6.2.0
+    KF 6.12.0
     )
 
 add_definitions(-DQT_NO_KEYWORDS)

=== debian/changelog ===
kdecoration (4:6.4.4-0ubuntu1~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:08 +0200

kdecoration (4:6.4.4-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 15:52:37 +0200

kdecoration (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:27:42 +0100

## kdecoration 6.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.4.4")
+set(PROJECT_VERSION "6.4.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.8.0")

=== debian/changelog ===
kdecoration (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
-               libkf6i18n-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.14.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0~),
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Rules-Requires-Root: no
 
 Package: libkdecorations3-6
@@ -36,7 +37,7 @@
         kwin-x11 (<< 4:5.26.70),
         libkdecorations2-5v5,
         libkdecorations2-6,
-Replaces: libkdecorations2-5v5, libkdecorations2-6,
+Replaces: libkdecorations2-5v5, libkdecorations2-6
 Description: library to create window decorations
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -48,8 +49,10 @@
 Multi-Arch: same
 Depends: libkdecorations3-6 (= ${binary:Version}),
          libkdecorations3private2 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
+Breaks: libkdecorations2-dev
+Replaces: libkdecorations2-dev
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -69,6 +72,8 @@
         kwin-wayland-backend-wayland (<< 4:5.26.70),
         kwin-wayland-backend-x11 (<< 4:5.26.70),
         kwin-x11 (<< 4:5.26.70),
+        libkdecorations2private11,
+Replaces: libkdecorations2private11,
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager

## kdecoration 6.4.5+p24.04+vstable+git20251003.0419

=== debian/changelog ===
kdecoration (4:6.4.5+p24.04+vstable+git20251003.0419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 04:19:31 +0000

kdecoration (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:51:44 +0000

kdecoration (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:13:47 +0000

kdecoration (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 10:55:34 +0000

kdecoration (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:21:03 +0000

kdecoration (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:38:36 +0000

kdecoration (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:18:20 +0000

kdecoration (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:45:54 +0000

kdecoration (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 06:56:57 +0000

kdecoration (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 14:56:57 +0000

kdecoration (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:00:31 +0000

kdecoration (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:43:59 +0000

kdecoration (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:20:09 +0000

kdecoration (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:48:12 +0000

kdecoration (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:23:25 +0000

kdecoration (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 23 Oct 2024 09:31:12 +0000

kdecoration (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:54:08 +0000

kdecoration (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 15:58:21 +0000

kdecoration (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:30:32 +0000

kdecoration (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:19:45 +0000

kdecoration (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:23:50 +0000

kdecoration (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:00:02 +0000

kdecoration (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:32:33 +0000

kdecoration (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:52:02 +0000

kdecoration (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:11:21 +0000

kdecoration (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:40:24 +0000

kdecoration (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:16:42 +0000
 

kdecoration (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:16:42 +0000

kdecoration (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:12:24 +1000

kdecoration (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:45:39 +0000

kdecoration (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:54:48 +0000

kdecoration (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 18:04:21 +0000

kdecoration (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:13:49 +0000

kdecoration (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 15:59:05 +0000

kdecoration (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:26:20 +0000

kdecoration (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:26:42 +0000

kdecoration (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:04:40 +0000

kdecoration (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 13:56:52 +0000

kdecoration (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:26:29 +0000

kdecoration (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:20:17 +0000

kdecoration (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:40:27 +0000

kdecoration (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:34:34 +0000

kdecoration (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:18:47 +0000

kdecoration (4:5.26.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 09 Oct 2022 09:51:50 +0000

kdecoration (4:5.25.5-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:32:42 +0000

kdecoration (4:5.25.4-0neon) focal; urgency=medium

  * New release



## kdecoration 6.4.5+p24.04+vstable+git20251004.0433

=== debian/changelog ===
kdecoration (4:6.4.5+p24.04+vstable+git20251004.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 04:33:41 +0000

## kdecoration 6.4.5+p24.04+vstable+git20251017.0823

=== debian/changelog ===
kdecoration (4:6.4.5+p24.04+vstable+git20251017.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 08:23:49 +0000

## kdecoration 6.4.5+p24.04+vstable+git20251019.0210

=== debian/changelog ===
kdecoration (4:6.4.5+p24.04+vstable+git20251019.0210-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:10:37 +0000

## kdecoration 6.4.5+p24.04+vunstable+git20251020.0225

=== debian/changelog ===
kdecoration (4:6.4.5+p24.04+vunstable+git20251020.0225-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:25:22 +0000

## kdecoration 6.4.91

=== debian/changelog ===
kdecoration (4:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.4.91.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 11:57:57 +0200

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6i18n-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
Rules-Requires-Root: no

Package: libkdecorations3-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-decoration-oxygen (<< 4:5.26.70),
        kwin-style-breeze (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2-5v5,
        libkdecorations2-6,
Replaces: libkdecorations2-5v5,
          libkdecorations2-6,
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations3-6 (= ${binary:Version}),
         libkdecorations3private2 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations3private2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 6.5.0

=== debian/changelog ===
kdecoration (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6i18n-dev (>= 6.18.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.9.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Rules-Requires-Root: no
 
 Package: libkdecorations3-6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: kwin-common (<< 4:5.26.70),
         kwin-decoration-oxygen (<< 4:5.26.70),
         kwin-style-breeze (<< 4:5.26.70),
@@ -37,8 +37,7 @@
         kwin-x11 (<< 4:5.26.70),
         libkdecorations2-5v5,
         libkdecorations2-6,
-Replaces: libkdecorations2-5v5,
-          libkdecorations2-6,
+Replaces: libkdecorations2-5v5, libkdecorations2-6
 Description: library to create window decorations
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -52,6 +51,8 @@
          libkdecorations3private2 (= ${binary:Version}),
          qt6-base-dev (>= 6.9.0~),
          ${misc:Depends},
+Breaks: libkdecorations2-dev
+Replaces: libkdecorations2-dev
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
@@ -62,8 +63,7 @@
 Package: libkdecorations3private2
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: kwin-common (<< 4:5.26.70),
         kwin-wayland (<< 4:5.26.70),
         kwin-wayland-backend-drm (<< 4:5.26.70),
@@ -72,6 +72,8 @@
         kwin-wayland-backend-wayland (<< 4:5.26.70),
         kwin-wayland-backend-x11 (<< 4:5.26.70),
         kwin-x11 (<< 4:5.26.70),
+        libkdecorations2private11,
+Replaces: libkdecorations2private11,
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdecoration 6.5.0+p24.04+vstable+git20251021.0657

=== debian/changelog ===
kdecoration (4:6.5.0+p24.04+vstable+git20251021.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:57:31 +0000

kdecoration (4:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:19:12 +0000

## kdecoration 6.5.0+p24.04+vstable+git20251028.1213

=== debian/changelog ===
kdecoration (4:6.5.0+p24.04+vstable+git20251028.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:13:35 +0000

## kdecoration 6.5.0+p24.04+vunstable+git20251021.0657

=== debian/changelog ===
kdecoration (4:6.5.0+p24.04+vunstable+git20251021.0657-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:57:34 +0000

## kdecoration 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.4.5")
+set(PROJECT_VERSION "6.5.1")
 set(PROJECT_VERSION_MAJOR 6)
 
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
kdecoration (4:6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:08:06 +0100

kdecoration (4:6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:43 +0200

## kdecoration 6.5.1+p24.04+vstable+git20251029.0638

=== debian/changelog ===
kdecoration (4:6.5.1+p24.04+vstable+git20251029.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:38:28 +0000

kdecoration (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:41:01 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kdecoration
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/kde/kdecoration.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdecoration
Maintainer: Neon CI <neon@kde.org>

Package: libkdecorations3-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdecorations2-5v5 (<< 4:6.3.0), libkdecorations2-6 (<< 4:6.3.0)
Replaces: libkdecorations2-5v5 (<< 4:6.3.0), libkdecorations2-6 (<< 4:6.3.0)
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations3-6 (= ${binary:Version}),
         libkdecorations3private2 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations3private2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdecorations3private1 (<< 4:6.3.3)
Replaces: libkdecorations3private1 (<< 4:6.3.3)
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

Package: libkdecorations2-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Priority: extra
Section: oldlibs
Description: library to create window decorations - transitional
 Empty dummy package

Package: libkdecorations2-5v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Priority: extra
Section: oldlibs
Description: library to create window decorations - transitional
 Empty dummy package

Package: libkdecorations3private1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Priority: extra
Section: oldlibs
Description: library to create window decorations - transitional
 Empty dummy package

## kdecoration 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kdecoration (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:44 +0100

## kdecoration 6.5.2+p24.04+vunstable+git20251106.1114

=== debian/changelog ===
kdecoration (4:6.5.2+p24.04+vunstable+git20251106.1114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 11:14:19 +0000

kdecoration (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:45 +1000

## kdecoration 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kdecoration (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:22:56 +0100

## kdecoration 6.5.3+p24.04+vunstable+git20251123.0011

=== debian/changelog ===
kdecoration (4:6.5.3+p24.04+vunstable+git20251123.0011-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 00:11:30 +0000

kdecoration (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:46 +1000

## kdecoration 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kdecoration (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:47 +0000

kdecoration (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:27 +0000

kdecoration (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:08 +0000

kdecoration (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:21 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6i18n-dev (>= 6.18.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Rules-Requires-Root: no

Package: libkdecorations3-6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-decoration-oxygen (<< 4:5.26.70),
        kwin-style-breeze (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2-5v5,
        libkdecorations2-6,
Replaces: libkdecorations2-5v5, libkdecorations2-6,
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations3-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations3-6 (= ${binary:Version}),
         libkdecorations3private2 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Breaks: libkdecorations2-dev,
Replaces: libkdecorations2-dev,
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations3private2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kwin-common (<< 4:5.26.70),
        kwin-wayland (<< 4:5.26.70),
        kwin-wayland-backend-drm (<< 4:5.26.70),
        kwin-wayland-backend-fbdev (<< 4:5.26.70),
        kwin-wayland-backend-virtual (<< 4:5.26.70),
        kwin-wayland-backend-wayland (<< 4:5.26.70),
        kwin-wayland-backend-x11 (<< 4:5.26.70),
        kwin-x11 (<< 4:5.26.70),
        libkdecorations2private11,
Replaces: libkdecorations2private11,
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 6.5.4+p24.04+vstable+git20251231.0049

=== debian/changelog ===
kdecoration (4:6.5.4+p24.04+vstable+git20251231.0049-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 00:49:15 +0000

kdecoration (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:06 +1000

## kdecoration 6.5.4+p24.04+vstable+git20260102.1136

=== debian/changelog ===
kdecoration (4:6.5.4+p24.04+vstable+git20260102.1136-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 02 Jan 2026 11:36:43 +0000

## kdecoration 6.5.4+p24.04+vstable+git20260107.0635

=== debian/changelog ===
kdecoration (4:6.5.4+p24.04+vstable+git20260107.0635-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 06:35:35 +0000

## kdecoration 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 set(QT_MIN_VERSION "6.9.0")

=== debian/changelog ===
kdecoration (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6i18n-dev (>= 6.18.0~),

## kdecoration 6.5.5+p24.04+vstable+git20260131.0203

=== debian/changelog ===
kdecoration (4:6.5.5+p24.04+vstable+git20260131.0203-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:03:34 +0000

kdecoration (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:33:13 +1000

## kdecoration 6.5.5+p24.04+vstable+git20260202.0955

=== debian/changelog ===
kdecoration (4:6.5.5+p24.04+vstable+git20260202.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:55:26 +0000

## kdecoration 6.5.5+p24.04+vunstable+git20260201.0608

=== debian/changelog ===
kdecoration (4:6.5.5+p24.04+vunstable+git20260201.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:08:15 +0000

## kdecoration 6.5.5+p24.04+vunstable+git20260205.0638

=== debian/changelog ===
kdecoration (4:6.5.5+p24.04+vunstable+git20260205.0638-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:38:44 +0000

## kdecoration 6.6.1

=== debian/changelog ===
kdecoration (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update symbols.
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:50 +0000

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6i18n-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.9.0~),
+               qt6-base-dev (>= 6.10.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kdecoration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
@@ -49,7 +49,7 @@
 Multi-Arch: same
 Depends: libkdecorations3-6 (= ${binary:Version}),
          libkdecorations3private2 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
+         qt6-base-dev (>= 6.10.0~),
          ${misc:Depends},
 Breaks: libkdecorations2-dev,
 Replaces: libkdecorations2-dev,

## kdecoration 6.6.2

=== debian/changelog ===
kdecoration (4:6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:19 +0000
